// @-webkit-keyframes toHide { from {opacity: 1} to {opacity: 0} };
@keyframes toHide { from {opacity: 0;} to {opacity: 1;} };
// @-webkit-keyframes toShow { from {opacity: 0} to {opacity: 1} };
@keyframes toShow { from {opacity: 1;} to {opacity: 0;} };

@mixin animation-random-mixin($frameName, $delay,$speed,$count) {
  animation-name: $frameName;
  animation-delay: $delay;
  animation-duration: $speed;
  animation-iteration-count: $count;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
  // animation-fill-mode: backwards ;
  animation-fill-mode: forwards;
}

// global class
.text{
    &--blue{
        color: #87b7ff;
    }
}
.text-center{
    text-align: center;
}
.clearfix{
    &::after {
        content: "";
        display: block;
        clear: both;
    }
}
.container{
    width: 950px;
    margin: 0 auto;
    position: relative;
    &__bg{
        background-color: #bf4337;
        border: 4px solid #ee695a;
        color: #fff;
        margin: 20px 0 100px 0;
        padding: 20px 50px 50px;
        border-radius: 8px;
        &::after{
            content: '';
            background: url(../static/images/half_circle.png) no-repeat top center;
            width: 110px;
            height: 25px;
            display: block;
            margin-left: -55px;
            left: 50%;
            bottom: -20px;
            position: absolute;
        }
    }
}
.section{
    &__head {
        margin-top: -50px;
        margin-bottom: 30px;
        text-align: center;
        & h3{
            background-color: #893229;
            padding: 10px 30px;
            display: inline-block;
            border: 4px solid #ee695a;
            border-radius: 30px;
            margin: 0 auto;
            color: #fcb7b0;
            text-shadow: 0 1px 5px #444;
            font-size: 22px;
            min-width: 250px;
        }
    }
}
.btns {
    &__normal {
        background:url("../static/images/btn_normal.png")top center no-repeat;
        width:330px;
        height:67px;
        display:flex;
        line-height: 1em;
        align-items:center;
        justify-content: center;
        margin:33px auto;
        text-align:center;
        color:#ffd6be;
        cursor: pointer;
        -webkit-filter: grayscale(0); /* Safari 6.0 - 9.0 */
        filter: grayscale(0);
        font-size: 19px;
        span {
            font-size:.8em;
        }
        &:hover , &:focus {
           opacity: 0.8;
        }
        &.received,
        &.disabled {
            background:url("../static/images/btn_disable.png")top center no-repeat;
            pointer-events: none;
            -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
            filter: grayscale(100%);
        }
    }
}

//banner
.preorder {
    position: relative;
    display: block;
    width: 100%;
    height:3365px;
    background: no-repeat top center url(../static/images/bg.jpg) #171312;
    &__section {
        position: relative;
        display: block;
        width: 100%;
        &--header {
            height: 750px;
        }
    }
}
.header {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    &__inner {
        position: absolute;
        top: 540px;
        left: 150px;
        display: block;
        width: 430px;
    }
    &__tag {
        display: block;
        width: 200px;
        height: 45px;
    }
    &__scroll{
        text-align: center;
        position: absolute;
        left: 0;
        right: 0;
        bottom: 20px;
        & img{
            animation: mover 1s infinite alternate; 
        }
    }
}

//section condition
.condition {
    &__text {
        li {
            list-style-type: decimal;
        }
    }
}

//section current status
.current{
    &__status{
        & table{
            width: 100%;
            text-align: center;
            border: 1px solid #e59088;
            border-collapse: collapse;
            & th,
            & td{
                border: 1px solid #e59088;
                background-color: #ba7770;
                padding: 20px;
            }
            & th {
                text-shadow: 1px 1px 5px rgba(0,0,0,.5);
            }
            & td{
                font-size: 34px;
            }
        }   
        &--img{
            position: absolute;
            top: 0px;
            left: 0;
            z-index: 10;
            margin-top: -200px;
            margin-left: -77px;
        }  
    }
}
.block{
    &__count{
        background-color: #e59088;
        border-radius: 8px;
        text-align: center;
        padding: 40px;
        box-shadow: 0px -3px 5px rgba(0,0,0,.3);
        margin-top: -5px;
        &--number{
            font-size: 40px;
            color: #be4236;
            font-weight: bold;
            line-height: 40px;
        }
    }
}

//section gachapon
.gachapon{
    & .container{
        &__bg{
            margin-left: -77px;
            margin-right: -77px;
            border-left: 0;
            border-right: 0;
            border-radius: 0;
        }
    }
    &__items{
        position: relative;
        display: inline-block;
        margin: 20px;
        font-size: 0;
        &:after{
        // &:hover::after{
            content: "";
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            right: 0;          
            box-shadow: inset 0 0 50px 2px #f6e3c3;
            -moz-box-shadow: inset 0 0 50px 2px #f6e3c3;
            -webkit-box-shadow: inset 0 0 50px 2px #f6e3c3;
            border-radius: 10px;
            opacity: 0;
        }
        &.rare{
            &::before{
                content: '';
                background: url(../static/images/gachapon/ribbon.png) no-repeat top center;
                width: 50px;
                height: 50px;
                display: block;
                position: absolute;
                top: -5px;
                z-index: 5;
            }
        }
        &--rnd0infinite::after { @include animation-random-mixin(toHide, 0.0s, 0.3s, infinite); }
        &--rnd1infinite::after { @include animation-random-mixin(toHide, 0.2s, 0.3s, infinite); }
        &--rnd2infinite::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd3infinite::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd4infinite::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }
        &--rnd5infinite::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, infinite); }
        &--rnd6infinite::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, infinite); }
        &--rnd7infinite::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, infinite); }

        &--rnd0::after { @include animation-random-mixin(toHide, 0.0s, 0.3s, 10); }
        &--rnd1::after { @include animation-random-mixin(toHide, 0.2s, 0.3s, 10); }
        &--rnd2::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd3::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd4::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--rnd5::after { @include animation-random-mixin(toHide, 0.4s, 0.3s, 10); }
        &--rnd6::after { @include animation-random-mixin(toHide, 0.3s, 0.3s, 10); }
        &--rnd7::after { @include animation-random-mixin(toHide, 0.1s, 0.3s, 10); }
        &--selected::after { @include animation-random-mixin(toShow, 0.2s, 0.3s, 10); }
       
    }
}

//section airpay item
.airpay{
    & .container{
        &__bg{
            padding-right: 80px;
        }
    }
    &__items{
        width: 180px;
        display: inline-block;
        vertical-align: top;
        padding: 40px 10px;
        position: relative;
        z-index: 10;
        &--btn{
            background-color: #6b1c14;
            display: inline-block;
            border-radius: 30px;
            padding: 7px 20px;
            min-width: 100px;
            cursor: pointer;
            /* &.disabled{
                opacity: 0.6;
            } */
            &.received,
            &.disabled {
                pointer-events: none;
                -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
                filter: grayscale(100%);
            }
        }
    }
    .coin{
        position: absolute;
        right: 0;
        top: 0;
        margin-top: -100px;
        margin-right: -78px;
        &__wrapper{
            background-color: #893229;
            color: #ffcdae;
            width: 130px;
            padding: 20px;
            border-radius: 8px;
            border: 4px solid #ee695a;
            font-size: 20px;
            position: absolute;
            top: 50%;
            margin-top: -200px;
            right: 65px;
            z-index: 10;
            &--text{
                color: #fff;
                font-size: 30px;
            }
        } 
        
    }
   
}
